using OSMDatastructure;
using OSMDatastructure.Graph;
using Pathfinding;

namespace Server;

public class Server
{
    
    public static void Main(string[] args)
    {
        ConsoleWriter newConsole = new ConsoleWriter();
        Console.SetOut(newConsole);
        Console.SetError(newConsole);
       
        //RegionConverter.ConvertXMLToRegions("D:/stuttgart-regbez-latest.osm", "D:/stuttgart-regbez-latest");
        //RegionConverter.ConvertXMLToRegions("D:/map.osm", "D:/map");
        //RegionConverter.ConvertXMLToRegions("D:/germany-latest.osm", "D:/germany-latest");
        
        Coordinates start = new Coordinates(  48.7933798f, 9.8275859f);
        Coordinates finish = new Coordinates(   48.8407632f, 10.0676979f);
        List<PathNode> result = Pathfinder.AStar("D:/stuttgart-regbez-latest", start,
            finish, Tag.SpeedType.car, 20, 2,
            0);
    }
}